diff options
| author | Hekuran <hekurangashi@pm.me> | 2021-05-31 03:07:27 +0200 |
|---|---|---|
| committer | GitHub <noreply@github.com> | 2021-05-30 21:07:27 -0400 |
| commit | 4231d6bd33d484624293662dd6c40c768dc89875 (patch) | |
| tree | 3330468912d5f198e122c3661cdbbc85cb90f3ec /.local/bin/noisereduce | |
| parent | f16713bcf7135f29f0812a425f92755d12a448a7 (diff) | |
| download | eibhear-4231d6bd33d484624293662dd6c40c768dc89875.tar.gz eibhear-4231d6bd33d484624293662dd6c40c768dc89875.tar.zst eibhear-4231d6bd33d484624293662dd6c40c768dc89875.zip | |
improved `ifinstalled` and made `noisereduce` use it (#930)
* made noisereduce executable
* improved `ifinstalled` script
* made `noisereduce` use `ifinstalled` script
* quoting for quiet shellcheck
Diffstat (limited to '.local/bin/noisereduce')
| -rwxr-xr-x[-rw-r--r--] | .local/bin/noisereduce | 6 |
1 files changed, 3 insertions, 3 deletions
diff --git a/.local/bin/noisereduce b/.local/bin/noisereduce index 8d9598c..c344760 100644..100755 --- a/.local/bin/noisereduce +++ b/.local/bin/noisereduce @@ -7,8 +7,8 @@ usage () } # Tests for requirements -ffmpeg -version >/dev/null || { echo >&2 "We require 'ffmpeg' but it's not installed. Install it by 'sudo apt-get install ffmpeg' Aborting."; exit 1; } -sox --version >/dev/null || { echo >&2 "We require 'sox' but it's not installed. Install it by 'sudo apt-get install sox' Aborting."; exit 1; } +ifinstalled ffmpeg || { echo >&2 "We require 'ffmpeg' but it's not installed."; exit 1; } +ifinstalled sox || { echo >&2 "We require 'ffmpeg' but it's not installed."; exit 1; } if [ "$#" -ne 2 ] then @@ -50,7 +50,7 @@ if [ -z "$sampleStart" ] ; then sampleStart="00:00:00"; fi printf "Sample noise end time [00:00:00.900]: " read -r sampleEnd if [ -z "$sampleEnd" ] ; then sampleEnd="00:00:00.900"; fi -printf "Noise reduction amount [0.21]: " +printf "Noise reduction amount [0.21]: " read -r sensitivity if [ -z "$sensitivity" ] ; then sensitivity="0.21"; fi |
